[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringsSortStyle

Determines how the strings are sorted

## Declaration

Source position: classesh.inc line 813

`type TStringsSortStyle = (`
`sslNone,` |  | The strings are not sorted
`sslUser,` |  | The strings are kept sorted by the user.
`sslAuto` |  | The TStrings instance keeps the strings sorted.
`);`

## Description

TStringsSortStyle is the type used in the TStringList.SortStyle property, and describes how the strings are sorted when the TStringList.Sorted property is True. It has the following values:

sslNone
  The strings are not sorted
sslUser
  The strings are kept sorted by the user.
sslAuto
  The TStrings instance keeps the strings sorted.

## See also

TStringList.Sorted |  | Determines whether the list is sorted or not.
TStringList.SortStyle |  | Sort style for strings